diff --git a/modules/LightRing_1-0/aosconf.h b/modules/LightRing_1-0/aosconf.h
index 81c3bfd..b699af1 100644
--- a/modules/LightRing_1-0/aosconf.h
+++ b/modules/LightRing_1-0/aosconf.h
@@ -42,7 +42,7 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
  */
 #if defined(AMIRO_APPS) && (AMIRO_APPS == true)
   #include <osconf.h>
-#endif
+#endif /* defined(AMIRO_APPS) && (AMIRO_APPS == true) */
 
 /*===========================================================================*/
 /**
@@ -56,9 +56,9 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
  */
 #if !defined(OS_CFG_DBG)
   #define AMIROOS_CFG_DBG                       true
-#else
+#else /* !defined(OS_CFG_DBG) */
   #define AMIROOS_CFG_DBG                       OS_CFG_DBG
-#endif
+#endif /* !defined(OS_CFG_DBG) */
 
 /**
  * @brief   Flag to enable/disable unit tests.
@@ -66,18 +66,18 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
  */
 #if !defined(OS_CFG_TESTS_ENABLE)
   #define AMIROOS_CFG_TESTS_ENABLE              true
-#else
+#else /* !defined(OS_CFG_TESTS_ENABLE) */
   #define AMIROOS_CFG_TESTS_ENABLE              OS_CFG_TESTS_ENABLE
-#endif
+#endif /* !defined(OS_CFG_TESTS_ENABLE) */
 
 /**
  * @brief   Flag to enable/disable profiling API and logic.
  */
 #if !defined(OS_CFG_PROFILE)
   #define AMIROOS_CFG_PROFILE                   true
-#else
+#else /* !defined(OS_CFG_PROFILE) */
   #define AMIROOS_CFG_PROFILE                   OS_CFG_PROFILE
-#endif
+#endif /* !defined(OS_CFG_PROFILE) */
 
 /**
  * @brief   Mask for the control thread to listen to certain IO events.
@@ -85,9 +85,9 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
  */
 #if !defined(OS_CFG_MAIN_LOOP_IOEVENT_MASK)
   #define AMIROOS_CFG_MAIN_LOOP_IOEVENT_MASK    0
-#else
+#else /* !defined(OS_CFG_MAIN_LOOP_IOEVENT_MASK) */
   #define AMIROOS_CFG_MAIN_LOOP_IOEVENT_MASK    OS_CFG_MAIN_LOOP_IOEVENT_MASK
-#endif
+#endif /* !defined(OS_CFG_MAIN_LOOP_IOEVENT_MASK) */
 
 /**
  * @brief   Timeout value when waiting for events in the main loop in microseconds.
@@ -95,9 +95,9 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
  */
 #if !defined(OS_CFG_MAIN_LOOP_TIMEOUT)
   #define AMIROOS_CFG_MAIN_LOOP_TIMEOUT         0
-#else
+#else /* !defined(OS_CFG_MAIN_LOOP_TIMEOUT) */
   #define AMIROOS_CFG_MAIN_LOOP_TIMEOUT         OS_CFG_MAIN_LOOP_TIMEOUT
-#endif
+#endif /* !defined(OS_CFG_MAIN_LOOP_TIMEOUT) */
 
 /** @} */
 
@@ -113,9 +113,9 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
  */
 #if !defined(OS_CFG_SSSP_ENABLE)
   #define AMIROOS_CFG_SSSP_ENABLE               true
-#else
+#else /* !defined(OS_CFG_SSSP_ENABLE) */
   #define AMIROOS_CFG_SSSP_ENABLE               OS_CFG_SSSP_ENABLE
-#endif
+#endif /* !defined(OS_CFG_SSSP_ENABLE) */
 
 /**
  * @brief   Flag to set the module as SSSP master.
@@ -123,9 +123,9 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
  */
 #if !defined(OS_CFG_SSSP_MASTER)
   #define AMIROOS_CFG_SSSP_MASTER               false
-#else
+#else /* !defined(OS_CFG_SSSP_MASTER) */
   #define AMIROOS_CFG_SSSP_MASTER               OS_CFG_SSSP_MASTER
-#endif
+#endif /* !defined(OS_CFG_SSSP_MASTER) */
 
 /**
  * @brief   Flag to set the module to be the first in the stack.
@@ -133,9 +133,9 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
  */
 #if !defined(OS_CFG_SSSP_STACK_START)
   #define AMIROOS_CFG_SSSP_STACK_START          false
-#else
+#else /* !defined(OS_CFG_SSSP_STACK_START) */
   #define AMIROOS_CFG_SSSP_STACK_START          OS_CFG_SSSP_STACK_START
-#endif
+#endif /* !defined(OS_CFG_SSSP_STACK_START) */
 
 /**
  * @brief   Flag to set the module to be the last in the stack.
@@ -143,18 +143,18 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
  */
 #if !defined(OS_CFG_SSSP_STACK_END)
   #define AMIROOS_CFG_SSSP_STACK_END            true
-#else
+#else /* !defined(OS_CFG_SSSP_STACK_END) */
   #define AMIROOS_CFG_SSSP_STACK_END            OS_CFG_SSSP_STACK_END
-#endif
+#endif /* !defined(OS_CFG_SSSP_STACK_END) */
 
 /**
  * @brief   Delay time (in microseconds) how long a SSSP signal must be active.
  */
 #if !defined(OS_CFG_SSSP_SIGNALDELAY)
   #define AMIROOS_CFG_SSSP_SIGNALDELAY          1000
-#else
+#else /* !defined(OS_CFG_SSSP_SIGNALDELAY) */
   #define AMIROOS_CFG_SSSP_SIGNALDELAY          OS_CFG_SSSP_SIGNALDELAY
-#endif
+#endif /* !defined(OS_CFG_SSSP_SIGNALDELAY) */
 
 /**
  * @brief   Time boundary for robot wide clock synchronization in microseconds.
@@ -163,9 +163,9 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
  */
 #if !defined(OS_CFG_SSSP_SYSSYNCPERIOD)
   #define AMIROOS_CFG_SSSP_SYSSYNCPERIOD        1000000
-#else
+#else /* !defined(OS_CFG_SSSP_SYSSYNCPERIOD) */
   #define AMIROOS_CFG_SSSP_SYSSYNCPERIOD        OS_CFG_SSSP_SYSSYNCPERIOD
-#endif
+#endif /* !defined(OS_CFG_SSSP_SYSSYNCPERIOD) */
 
 /** @} */
 
@@ -181,18 +181,18 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
  */
 #if !defined(OS_CFG_SHELL_ENABLE)
   #define AMIROOS_CFG_SHELL_ENABLE              true
-#else
+#else /* !defined(OS_CFG_SHELL_ENABLE) */
   #define AMIROOS_CFG_SHELL_ENABLE              OS_CFG_SHELL_ENABLE
-#endif
+#endif /* !defined(OS_CFG_SHELL_ENABLE) */
 
 /**
  * @brief   Shell thread stack size.
  */
 #if !defined(OS_CFG_SHELL_STACKSIZE)
   #define AMIROOS_CFG_SHELL_STACKSIZE           1024
-#else
+#else /* !defined(OS_CFG_SHELL_STACKSIZE) */
   #define AMIROOS_CFG_SHELL_STACKSIZE           OS_CFG_SHELL_STACKSIZE
-#endif
+#endif /* !defined(OS_CFG_SHELL_STACKSIZE) */
 
 /**
  * @brief   Shell thread priority.
@@ -213,27 +213,27 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
  */
 #if !defined(OS_CFG_SHELL_THREADPRIO)
   #define AMIROOS_CFG_SHELL_THREADPRIO          AOS_THD_NORMALPRIO_MIN
-#else
+#else /* !defined(OS_CFG_SHELL_THREADPRIO) */
   #define AMIROOS_CFG_SHELL_THREADPRIO          OS_CFG_SHELL_THREADPRIO
-#endif
+#endif /* !defined(OS_CFG_SHELL_THREADPRIO) */
 
 /**
  * @brief   Shell maximum input line length.
  */
 #if !defined(OS_CFG_SHELL_LINEWIDTH)
   #define AMIROOS_CFG_SHELL_LINEWIDTH           64
-#else
+#else /* !defined(OS_CFG_SHELL_LINEWIDTH) */
   #define AMIROOS_CFG_SHELL_LINEWIDTH           OS_CFG_SHELL_LINEWIDTH
-#endif
+#endif /* !defined(OS_CFG_SHELL_LINEWIDTH) */
 
 /**
  * @brief   Shell maximum number of arguments.
  */
 #if !defined(OS_CFG_SHELL_MAXARGS)
   #define AMIROOS_CFG_SHELL_MAXARGS             4
-#else
+#else /* !defined(OS_CFG_SHELL_MAXARGS) */
   #define AMIROOS_CFG_SHELL_MAXARGS             OS_CFG_SHELL_MAXARGS
-#endif
+#endif /* !defined(OS_CFG_SHELL_MAXARGS) */
 
 /** @} */
 
diff --git a/modules/LightRing_1-0/module.c b/modules/LightRing_1-0/module.c
index 7ca204d..94615e9 100644
--- a/modules/LightRing_1-0/module.c
+++ b/modules/LightRing_1-0/module.c
@@ -240,7 +240,7 @@ ROMCONST apalControlGpio_t moduleGpioSysSync = {
 
 #if (AMIROOS_CFG_SHELL_ENABLE == true) || (AMIROOS_CFG_TESTS_ENABLE == true) || defined(__DOXYGEN__)
 ROMCONST char* moduleShellPrompt = "LightRing";
-#endif
+#endif /* (AMIROOS_CFG_SHELL_ENABLE == true) || (AMIROOS_CFG_TESTS_ENABLE == true) */
 
 /** @} */
 
@@ -356,7 +356,7 @@ aos_unittest_t moduleUtAlldTps2051bdbv = {
   /* data           */ &moduleLldPowerSwitchLaser,
 };
 
-#endif /* AMIROOS_CFG_TESTS_ENABLE == true */
+#endif /* (AMIROOS_CFG_TESTS_ENABLE == true) */
 
 /** @} */
 /** @} */
diff --git a/modules/LightRing_1-0/module.h b/modules/LightRing_1-0/module.h
index 803e0c8..a07a0d1 100644
--- a/modules/LightRing_1-0/module.h
+++ b/modules/LightRing_1-0/module.h
@@ -198,7 +198,7 @@ extern ROMCONST apalControlGpio_t moduleGpioSysSync;
  * @brief   Shell prompt text.
  */
 extern ROMCONST char* moduleShellPrompt;
-#endif
+#endif /* (AMIROOS_CFG_SHELL_ENABLE == true) || (AMIROOS_CFG_TESTS_ENABLE == true) */
 
 /**
  * @brief   Interrupt initialization macro.
@@ -221,7 +221,7 @@ extern ROMCONST char* moduleShellPrompt;
  */
 #define MODULE_INIT_TESTS() {                                                 \
   /* add unit-test shell commands */                                          \
-  aosShellAddCommand(&aos.shell, &moduleUtAlldAt24c01b.shellcmd);            \
+  aosShellAddCommand(&aos.shell, &moduleUtAlldAt24c01b.shellcmd);             \
   aosShellAddCommand(&aos.shell, &moduleUtAlldTlc5947.shellcmd);              \
   aosShellAddCommand(&aos.shell, &moduleUtAlldTps2051bdbv.shellcmd);          \
 }
@@ -348,7 +348,7 @@ extern aos_unittest_t moduleUtAlldTlc5947;
 extern aos_unittest_t moduleUtAlldTps2051bdbv;
 
 
-#endif /* AMIROOS_CFG_TESTS_ENABLE == true */
+#endif /* (AMIROOS_CFG_TESTS_ENABLE == true) */
 
 /** @} */
 
diff --git a/modules/NUCLEO-F103RB/aosconf.h b/modules/NUCLEO-F103RB/aosconf.h
index fd4dbe8..1c5fd88 100644
--- a/modules/NUCLEO-F103RB/aosconf.h
+++ b/modules/NUCLEO-F103RB/aosconf.h
@@ -42,7 +42,7 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
  */
 #if defined(AMIRO_APPS) && (AMIRO_APPS == true)
   #include <osconf.h>
-#endif
+#endif /* defined(AMIRO_APPS) && (AMIRO_APPS == true) */
 
 /*===========================================================================*/
 /**
@@ -56,9 +56,9 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
  */
 #if !defined(OS_CFG_DBG)
   #define AMIROOS_CFG_DBG                       true
-#else
+#else /* !defined(OS_CFG_DBG) */
   #define AMIROOS_CFG_DBG                       OS_CFG_DBG
-#endif
+#endif /* !defined(OS_CFG_DBG) */
 
 /**
  * @brief   Flag to enable/disable unit tests.
@@ -66,18 +66,18 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
  */
 #if !defined(OS_CFG_TESTS_ENABLE)
   #define AMIROOS_CFG_TESTS_ENABLE              true
-#else
+#else /* !defined(OS_CFG_TESTS_ENABLE) */
   #define AMIROOS_CFG_TESTS_ENABLE              OS_CFG_TESTS_ENABLE
-#endif
+#endif /* !defined(OS_CFG_TESTS_ENABLE) */
 
 /**
  * @brief   Flag to enable/disable profiling API and logic.
  */
 #if !defined(OS_CFG_PROFILE)
   #define AMIROOS_CFG_PROFILE                   true
-#else
+#else /* !defined(OS_CFG_PROFILE) */
   #define AMIROOS_CFG_PROFILE                   OS_CFG_PROFILE
-#endif
+#endif /* !defined(OS_CFG_PROFILE) */
 
 /**
  * @brief   Mask for the control thread to listen to certain IO events.
@@ -85,9 +85,9 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
  */
 #if !defined(OS_CFG_MAIN_LOOP_IOEVENT_MASK)
   #define AMIROOS_CFG_MAIN_LOOP_IOEVENT_MASK    (MODULE_OS_IOEVENTFLAGS_DW1000_IRQn | MODULE_OS_IOEVENTFLAGS_USERBUTTON)
-#else
+#else /* !defined(OS_CFG_MAIN_LOOP_IOEVENT_MASK) */
   #define AMIROOS_CFG_MAIN_LOOP_IOEVENT_MASK    OS_CFG_MAIN_LOOP_IOEVENT_MASK
-#endif
+#endif /* !defined(OS_CFG_MAIN_LOOP_IOEVENT_MASK) */
 
 /**
  * @brief   Timeout value when waiting for events in the main loop in microseconds.
@@ -95,9 +95,9 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
  */
 #if !defined(OS_CFG_MAIN_LOOP_TIMEOUT)
   #define AMIROOS_CFG_MAIN_LOOP_TIMEOUT         0
-#else
+#else /* !defined(OS_CFG_MAIN_LOOP_TIMEOUT) */
   #define AMIROOS_CFG_MAIN_LOOP_TIMEOUT         OS_CFG_MAIN_LOOP_TIMEOUT
-#endif
+#endif /* !defined(OS_CFG_MAIN_LOOP_TIMEOUT) */
 
 /** @} */
 
@@ -113,9 +113,9 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
  */
 #if !defined(OS_CFG_SSSP_ENABLE)
   #define AMIROOS_CFG_SSSP_ENABLE               false
-#else
+#else /* !defined(OS_CFG_SSSP_ENABLE) */
   #define AMIROOS_CFG_SSSP_ENABLE               OS_CFG_SSSP_ENABLE
-#endif
+#endif /* !defined(OS_CFG_SSSP_ENABLE) */
 
 /**
  * @brief   Flag to set the module as SSSP master.
@@ -123,9 +123,9 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
  */
 #if !defined(OS_CFG_SSSP_MASTER)
   #define AMIROOS_CFG_SSSP_MASTER               false
-#else
+#else /* !defined(OS_CFG_SSSP_MASTER) */
   #define AMIROOS_CFG_SSSP_MASTER               OS_CFG_SSSP_MASTER
-#endif
+#endif /* !defined(OS_CFG_SSSP_MASTER) */
 
 /**
  * @brief   Flag to set the module to be the first in the stack.
@@ -133,9 +133,9 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
  */
 #if !defined(OS_CFG_SSSP_STACK_START)
   #define AMIROOS_CFG_SSSP_STACK_START          false
-#else
+#else /* !defined(OS_CFG_SSSP_STACK_START) */
   #define AMIROOS_CFG_SSSP_STACK_START          OS_CFG_SSSP_STACK_START
-#endif
+#endif /* !defined(OS_CFG_SSSP_STACK_START) */
 
 /**
  * @brief   Flag to set the module to be the last in the stack.
@@ -143,18 +143,18 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
  */
 #if !defined(OS_CFG_SSSP_STACK_END)
   #define AMIROOS_CFG_SSSP_STACK_END            false
-#else
+#else /* !defined(OS_CFG_SSSP_STACK_END) */
   #define AMIROOS_CFG_SSSP_STACK_END            OS_CFG_SSSP_STACK_END
-#endif
+#endif /* !defined(OS_CFG_SSSP_STACK_END) */
 
 /**
  * @brief   Delay time (in microseconds) how long a SSSP signal must be active.
  */
 #if !defined(OS_CFG_SSSP_SIGNALDELAY)
   #define AMIROOS_CFG_SSSP_SIGNALDELAY          1000
-#else
+#else /* !defined(OS_CFG_SSSP_SIGNALDELAY) */
   #define AMIROOS_CFG_SSSP_SIGNALDELAY          OS_CFG_SSSP_SIGNALDELAY
-#endif
+#endif /* !defined(OS_CFG_SSSP_SIGNALDELAY) */
 
 /**
  * @brief   Time boundary for robot wide clock synchronization in microseconds.
@@ -163,9 +163,9 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
  */
 #if !defined(OS_CFG_SSSP_SYSSYNCPERIOD)
   #define AMIROOS_CFG_SSSP_SYSSYNCPERIOD        1000000
-#else
+#else /* !defined(OS_CFG_SSSP_SYSSYNCPERIOD) */
   #define AMIROOS_CFG_SSSP_SYSSYNCPERIOD        OS_CFG_SSSP_SYSSYNCPERIOD
-#endif
+#endif /* !defined(OS_CFG_SSSP_SYSSYNCPERIOD) */
 
 /** @} */
 
@@ -181,18 +181,18 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
  */
 #if !defined(OS_CFG_SHELL_ENABLE)
   #define AMIROOS_CFG_SHELL_ENABLE              true
-#else
+#else /* !defined(OS_CFG_SHELL_ENABLE) */
   #define AMIROOS_CFG_SHELL_ENABLE              OS_CFG_SHELL_ENABLE
-#endif
+#endif /* !defined(OS_CFG_SHELL_ENABLE) */
 
 /**
  * @brief   Shell thread stack size.
  */
 #if !defined(OS_CFG_SHELL_STACKSIZE)
   #define AMIROOS_CFG_SHELL_STACKSIZE           1024
-#else
+#else /* !defined(OS_CFG_SHELL_STACKSIZE) */
   #define AMIROOS_CFG_SHELL_STACKSIZE           OS_CFG_SHELL_STACKSIZE
-#endif
+#endif /* !defined(OS_CFG_SHELL_STACKSIZE) */
 
 /**
  * @brief   Shell thread priority.
@@ -213,27 +213,27 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
  */
 #if !defined(OS_CFG_SHELL_THREADPRIO)
   #define AMIROOS_CFG_SHELL_THREADPRIO          AOS_THD_NORMALPRIO_MIN
-#else
+#else /* !defined(OS_CFG_SHELL_THREADPRIO) */
   #define AMIROOS_CFG_SHELL_THREADPRIO          OS_CFG_SHELL_THREADPRIO
-#endif
+#endif /* !defined(OS_CFG_SHELL_THREADPRIO) */
 
 /**
  * @brief   Shell maximum input line length.
  */
 #if !defined(OS_CFG_SHELL_LINEWIDTH)
   #define AMIROOS_CFG_SHELL_LINEWIDTH           64
-#else
+#else /* !defined(OS_CFG_SHELL_LINEWIDTH) */
   #define AMIROOS_CFG_SHELL_LINEWIDTH           OS_CFG_SHELL_LINEWIDTH
-#endif
+#endif /* !defined(OS_CFG_SHELL_LINEWIDTH) */
 
 /**
  * @brief   Shell maximum number of arguments.
  */
 #if !defined(OS_CFG_SHELL_MAXARGS)
   #define AMIROOS_CFG_SHELL_MAXARGS             4
-#else
+#else /* !defined(OS_CFG_SHELL_MAXARGS) */
   #define AMIROOS_CFG_SHELL_MAXARGS             OS_CFG_SHELL_MAXARGS
-#endif
+#endif /* !defined(OS_CFG_SHELL_MAXARGS) */
 
 /** @} */
 
diff --git a/modules/NUCLEO-F103RB/module.c b/modules/NUCLEO-F103RB/module.c
index c9792df..54c4129 100644
--- a/modules/NUCLEO-F103RB/module.c
+++ b/modules/NUCLEO-F103RB/module.c
@@ -49,7 +49,7 @@ SerialConfig moduleHalProgIfConfig = {
   /* CR1      */ 0,
 };
 
-#ifdef AMIROLLD_CFG_DW1000
+#if defined(AMIROLLD_CFG_DW1000)
 
 /*! SPI (high and low speed) configuration for DW1000 */
 SPIConfig moduleHalSpiUwbHsConfig = {
@@ -70,7 +70,7 @@ SPIConfig moduleHalSpiUwbLsConfig = {
   /* CR2                         */ 0,
 };
 
-#endif
+#endif /* defined(AMIROLLD_CFG_DW1000) */
 
 /** @} */
 
@@ -97,7 +97,7 @@ ROMCONST apalControlGpio_t moduleGpioLed = {
   },
 };
 
-#ifdef AMIROLLD_CFG_DW1000
+#if defined(AMIROLLD_CFG_DW1000)
 
 /**
  * @brief   DW1000 reset output signal GPIO.
@@ -149,7 +149,7 @@ ROMCONST apalControlGpio_t moduleGpioSpiChipSelect = {
   },
 };
 
-#endif /* AMIROLLD_CFG_DW1000 */
+#endif /* defined(AMIROLLD_CFG_DW1000) */
 
 /**
  * @brief   User button input signal GPIO.
@@ -178,7 +178,7 @@ ROMCONST apalControlGpio_t moduleGpioUserButton = {
 
 #if (AMIROOS_CFG_SHELL_ENABLE == true) || (AMIROOS_CFG_TESTS_ENABLE == true) || defined(__DOXYGEN__)
 ROMCONST char* moduleShellPrompt = "NUCLEO-F103RB";
-#endif
+#endif /* (AMIROOS_CFG_SHELL_ENABLE == true) || (AMIROOS_CFG_TESTS_ENABLE == true) */
 
 /** @} */
 
@@ -197,7 +197,7 @@ ROMCONST char* moduleShellPrompt = "NUCLEO-F103RB";
  */
 /*===========================================================================*/
 
-#ifdef AMIROLLD_CFG_DW1000
+#if defined(AMIROLLD_CFG_DW1000)
 
 /*! @brief TODO: Manual implementation of SPI configuration. Somehow, it is necessary in NUCLEO-F103RB  */
 void dw1000_spi_init(void){
@@ -208,7 +208,7 @@ void dw1000_spi_init(void){
   apalGpioWrite(moduleGpioSpiChipSelect.gpio, APAL_GPIO_LOW);
 }
 
-#endif /* AMIROLLD_CFG_DW1000 */
+#endif /* defined(AMIROLLD_CFG_DW1000) */
 /** @} */
 
 /*===========================================================================*/
@@ -218,7 +218,7 @@ void dw1000_spi_init(void){
  */
 /*===========================================================================*/
 
-#ifdef AMIROLLD_CFG_DW1000
+#if defined(AMIROLLD_CFG_DW1000)
 
 DW1000Driver moduleLldDw1000 = {
   /* SPI driver         */ &MODULE_HAL_SPI_UWB,
@@ -226,7 +226,7 @@ DW1000Driver moduleLldDw1000 = {
   /* RESET DW1000       */ &moduleGpioDw1000Reset,
 };
 
-#endif /* AMIROLLD_CFG_DW1000 */
+#endif /* defined(AMIROLLD_CFG_DW1000) */
 /** @} */
 
 /*===========================================================================*/
@@ -237,7 +237,7 @@ DW1000Driver moduleLldDw1000 = {
 /*===========================================================================*/
 #if (AMIROOS_CFG_TESTS_ENABLE == true) || defined(__DOXYGEN__)
 
-#ifdef AMIROLLD_CFG_DW1000
+#if defined(AMIROLLD_CFG_DW1000)
 
 /*
  * UwB Driver (DW1000)
@@ -260,9 +260,9 @@ aos_unittest_t moduleUtAlldDw1000 = {
   },
   /* data           */ &moduleLldDw1000,
 };
-#endif /* AMIROLLD_CFG_DW1000 */
+#endif /* defined(AMIROLLD_CFG_DW1000) */
 
-#endif /* AMIROOS_CFG_TESTS_ENABLE == true */
+#endif /* (AMIROOS_CFG_TESTS_ENABLE == true) */
 
 /** @} */
 /** @} */
diff --git a/modules/NUCLEO-F103RB/module.h b/modules/NUCLEO-F103RB/module.h
index 7a5bdf8..15cb346 100644
--- a/modules/NUCLEO-F103RB/module.h
+++ b/modules/NUCLEO-F103RB/module.h
@@ -36,19 +36,19 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
  */
 /*===========================================================================*/
 
-#ifdef AMIROLLD_CFG_DW1000
+#if defined(AMIROLLD_CFG_DW1000)
 
-#ifdef __cplusplus
+#if defined(__cplusplus)
 extern "C" {
-#endif
+#endif /* defined(__cplusplus) */
 
 void dw1000_spi_init(void);
 
-#ifdef __cplusplus
+#if defined(__cplusplus)
 }
-#endif
+#endif /* defined(__cplusplus) */
 
-#endif /* AMIROLLD_CFG_DW1000 */
+#endif /* defined(AMIROLLD_CFG_DW1000) */
 
 
 /** @} */
@@ -76,7 +76,7 @@ extern SerialConfig moduleHalProgIfConfig;
 #define MODULE_HAL_RTC                          RTCD1
 
 
-#ifdef AMIROLLD_CFG_DW1000
+#if defined(AMIROLLD_CFG_DW1000)
 
 /**
  * @brief   SPI interface driver for the motion sensors (gyroscope and accelerometer).
@@ -94,7 +94,7 @@ extern SPIConfig moduleHalSpiUwbHsConfig;
  */
 extern SPIConfig moduleHalSpiUwbLsConfig;
 
-#endif /* AMIROLLD_CFG_DW1000 */
+#endif /* defined(AMIROLLD_CFG_DW1000) */
 
 /** @} */
 
@@ -111,7 +111,7 @@ extern SPIConfig moduleHalSpiUwbLsConfig;
  */
 extern ROMCONST apalControlGpio_t moduleGpioLed;
 
-#ifdef AMIROLLD_CFG_DW1000
+#if defined(AMIROLLD_CFG_DW1000)
 /**
  * @brief   DW1000 reset output signal
  * @note    the reset pin should be drived as low by MCU to activate.
@@ -130,7 +130,7 @@ extern ROMCONST apalControlGpio_t moduleGpioDw1000Irqn;
  */
 extern ROMCONST apalControlGpio_t moduleGpioSpiChipSelect ;
 
-#endif /* AMIROLLD_CFG_DW1000 */
+#endif /* defined(AMIROLLD_CFG_DW1000) */
 
 /**
  * @brief   User button input signal.
@@ -162,7 +162,7 @@ extern ROMCONST apalControlGpio_t moduleGpioUserButton;
  * @brief   Shell prompt text.
  */
 extern ROMCONST char* moduleShellPrompt;
-#endif
+#endif /* (AMIROOS_CFG_SHELL_ENABLE == true) || (AMIROOS_CFG_TESTS_ENABLE == true) */
 
 
 /**
@@ -175,15 +175,15 @@ extern ROMCONST char* moduleShellPrompt;
   palEnablePadEvent(moduleGpioUserButton.gpio->port, moduleGpioUserButton.gpio->pad, APAL2CH_EDGE(moduleGpioUserButton.meta.edge));   \
   MODULE_INIT_INTERRUPTS_DW1000();                                            \
 }
-#ifdef AMIROLLD_CFG_DW1000
+#if defined(AMIROLLD_CFG_DW1000)
   #define MODULE_INIT_INTERRUPTS_DW1000() {                                   \
     palSetPadCallback(moduleGpioDw1000Irqn.gpio->port, moduleGpioDw1000Irqn.gpio->pad, _intCallback, &moduleGpioDw1000Irqn.gpio->pad);  \
     palEnablePadEvent(moduleGpioDw1000Irqn.gpio->port, moduleGpioDw1000Irqn.gpio->pad, APAL2CH_EDGE(moduleGpioDw1000Irqn.meta.edge));   \
   }
-#else
-  #define MODULE_INIT_INTERRUPTS_DW1000() {                                  \
+#else /* defined(AMIROLLD_CFG_DW1000) */
+  #define MODULE_INIT_INTERRUPTS_DW1000() {                                   \
   }
-#endif /* AMIROLLD_CFG_DW1000 */
+#endif /* defined(AMIROLLD_CFG_DW1000) */
 
 
 /**
@@ -193,14 +193,14 @@ extern ROMCONST char* moduleShellPrompt;
   /* add unit-test shell commands */                                          \
   MODULE_INIT_TESTS_DW1000();                                                 \
 }
-#ifdef AMIROLLD_CFG_DW1000
+#if defined(AMIROLLD_CFG_DW1000)
   #define MODULE_INIT_TESTS_DW1000() {                                        \
     aosShellAddCommand(&aos.shell, &moduleUtAlldDw1000.shellcmd);             \
   }
-#else
-  #define MODULE_INIT_TESTS_DW1000() {                                         \
+#else /* defined(AMIROLLD_CFG_DW1000) */
+  #define MODULE_INIT_TESTS_DW1000() {                                        \
   }
-#endif /* AMIROLLD_CFG_DW1000 */
+#endif /* defined(AMIROLLD_CFG_DW1000) */
 
 
 /**
@@ -211,16 +211,16 @@ extern ROMCONST char* moduleShellPrompt;
   sdStart(&MODULE_HAL_PROGIF, &moduleHalProgIfConfig);                        \
   MODULE_INIT_PERIPHERY_COMM_DW1000();                                        \
 }
-#ifdef AMIROLLD_CFG_DW1000
+#if defined(AMIROLLD_CFG_DW1000)
   #define MODULE_INIT_PERIPHERY_COMM_DW1000() {                               \
     /* SPI init */                                                            \
     dw1000_spi_init();                                                        \
     spiStart(&MODULE_HAL_SPI_UWB, &moduleHalSpiUwbLsConfig);                  \
   }
-#else
+#else /* defined(AMIROLLD_CFG_DW1000) */
   #define MODULE_INIT_PERIPHERY_COMM_DW1000() {                               \
   }
-#endif /* AMIROLLD_CFG_DW1000 */
+#endif /* defined(AMIROLLD_CFG_DW1000) */
 
 
 /**
@@ -229,20 +229,20 @@ extern ROMCONST char* moduleShellPrompt;
 #define MODULE_SHUTDOWN_PERIPHERY_COMM() {                                    \
   MODULE_SHUTDOWN_PERIPHERY_COMM_DW1000();                                    \
 }
-#ifdef AMIROLLD_CFG_DW1000
+#if defined(AMIROLLD_CFG_DW1000)
 #define MODULE_SHUTDOWN_PERIPHERY_COMM_DW1000() {                             \
   /* SPI */                                                                   \
   spiStop(&MODULE_HAL_SPI_UWB);                                               \
 }
-#else
+#else /* defined(AMIROLLD_CFG_DW1000) */
   #define MODULE_SHUTDOWN_PERIPHERY_COMM_DW1000() {                           \
   }
-#endif /* AMIROLLD_CFG_DW1000 */
+#endif /* defined(AMIROLLD_CFG_DW1000) */
 
 /**
  * @brief   HOOK to call process_deca_irq() func when the dw1000 interrupt pin is activated.
  */
-#define MODULE_MAIN_LOOP_IO_EVENT(eventflags) {		                          \
+#define MODULE_MAIN_LOOP_IO_EVENT(eventflags) {	                              \
   if (eventflags & MODULE_OS_IOEVENTFLAGS_USERBUTTON) {                       \
     apalControlGpioState_t buttonstate;                                       \
     apalControlGpioGet(&moduleGpioUserButton, &buttonstate);                  \
@@ -250,17 +250,17 @@ extern ROMCONST char* moduleShellPrompt;
   }                                                                           \
   MODULE_MAIN_LOOP_IO_EVENT_DW1000();                                         \
 }
-#ifdef AMIROLLD_CFG_DW1000
+#if defined(AMIROLLD_CFG_DW1000)
   #define MODULE_MAIN_LOOP_IO_EVENT_DW1000() {                                \
-    if(eventflags & MODULE_OS_IOEVENTFLAGS_DW1000_IRQn) {		              \
+    if(eventflags & MODULE_OS_IOEVENTFLAGS_DW1000_IRQn) {                     \
       /*apalGpioToggle(moduleGpioLedGreen.gpio); // just for debug  */        \
       process_deca_irq();                                                     \
-    }	                                                                      \
+    }                                                                         \
   }
-#else
+#else /* defined(AMIROLLD_CFG_DW1000) */
   #define MODULE_MAIN_LOOP_IO_EVENT_DW1000() {                                \
   }
-#endif  /* AMIROLLD_CFG_DW1000 */
+#endif /* defined(AMIROLLD_CFG_DW1000) */
 
 /** @} */
 
@@ -279,12 +279,12 @@ extern ROMCONST char* moduleShellPrompt;
  * @{
  */
 /*===========================================================================*/
-#ifdef AMIROLLD_CFG_DW1000
+#if defined(AMIROLLD_CFG_DW1000)
 #include <alld_DW1000.h>
 
 extern DW1000Driver moduleLldDw1000;
 
-#endif /* AMIROLLD_CFG_DW1000 */
+#endif /* defined(AMIROLLD_CFG_DW1000) */
 
 /** @} */
 
@@ -297,7 +297,7 @@ extern DW1000Driver moduleLldDw1000;
 #if (AMIROOS_CFG_TESTS_ENABLE == true) || defined(__DOXYGEN__)
 
 #if defined(AMIROLLD_CFG_DW1000) && (AMIROLLD_CFG_DW1000 == 1)
-#include<ut_alld_dw1000_v1.h>
+#include <ut_alld_dw1000_v1.h>
 
 /**
  * @brief   DW1000 unit test object.
@@ -306,7 +306,7 @@ extern aos_unittest_t moduleUtAlldDw1000;
 
 #endif /* defined(AMIROLLD_CFG_DW1000) && (AMIROLLD_CFG_DW1000 == 1) */
 
-#endif /* AMIROOS_CFG_TESTS_ENABLE == true */
+#endif /* (AMIROOS_CFG_TESTS_ENABLE == true) */
 
 /** @} */
 
